Summary:      	A program that manages RPC connections
Name:         	rpc.portmap
License:      	BSD
Group:        	System
Version:      	6.0
Release:      	1
URL:          	http://neil.brown.name/portmap/
Source:       	portmap-%{version}.tgz
Patch:        	portmap-%{version}.diff
BuildRoot:    	%{_tmppath}/%{name}-%{version}-build
Provides:	portmap

%description
A portmapper that manages RPC connections, which are used by protocols
like NFS and NIS.

This version is compiled with tcp_wrapper support.

%prep
%setup -n portmap_%{version}
%patch

%build
make \
    FACILITY=LOG_AUTH ZOMBIES='-DIGNORE_SIGCHLD -Dlint' \
    LIBS="-lnsl" RPM_OPT_FLAGS="$RPM_OPT_FLAGS" \
    WRAP_DIR=%{_libdir}

%install
rm -Rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{sbin,usr/man/man8,usr/sbin}
cp portmap $RPM_BUILD_ROOT/sbin/rpc.portmap
cp pmap_dump pmap_set $RPM_BUILD_ROOT/usr/sbin/
cp *.8 $RPM_BUILD_ROOT/%{_mandir}/man8/
ln -sf portmap.8.gz $RPM_BUILD_ROOT/%{_mandir}/man8/rpc.portmap.8.gz

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/*
